from threading import Thread

from .killthread import killthread


class Task(Thread):

    def __init__(self, target, name, daemon=True, **kwargs):
        super().__init__(group=None, target=target, name=name, daemon=daemon, **kwargs)

    @property
    def is_running(self):
        return self.is_alive()

    def kill(self):
        killthread(self)



