from pcaspy.driver import manager, _ait_d as AIT_D


D_AIT = {v:k for k, v in AIT_D.items()}


def is_managed(name):
    managed_pvs = _get_managed_pvs()
    return (name in managed_pvs)

def get_managed_dtype(name):
    managed_pvs = _get_managed_pvs()
    pv = managed_pvs[name]
    dtype = pv.info.type
    return D_AIT[dtype]

def _get_managed_pvs():
    return manager.pvs["default"]

def delete_managed(prefix, name):
    del manager.pvs["default"][name]
    del manager.pvf[prefix + name]



